Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_CORBANAME_Parser Class Reference

Implements the <corbaname:> IOR format. More...

`#include <CORBANAME_Parser.h>`

Inheritance diagram for TAO_CORBANAME_Parser:

[legend]
Collaboration diagram for TAO_CORBANAME_Parser:

[legend]
List of all members.

## Public Methods
| TAO_CORBANAME_Parser (void)
| Constructor. More...
virtual | ~TAO_CORBANAME_Parser (void)
| The destructor. More...
virtual int | match_prefix (const char *ior_string) const
| Return 1 if <ior_string> starts with a prefix known to this IOR parser. More...
virtual CORBA::Object_ptr | parse_string (const char *ior, CORBA::ORB_ptr orb ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
## Private Methods
virtual CORBA::Object_ptr | parse_string_dynamic_request_helper (CORBA::Object_ptr naming_context, ACE_CString &key_string ACE_ENV_ARG_DECL) throw (CORBA::SystemException)

## Detailed Description

Implements the <corbaname:> IOR format.

This class implements the <corbaname:> IOR format. It is dynamically loaded by the ORB and used to get reference to a naming service at the given address and port and then resolve an object in that context.

## Constructor & Destructor Documentation

ACE_INLINE TAO_CORBANAME_Parser::TAO_CORBANAME_Parser | ( | void |  | ) |

| Constructor.

TAO_CORBANAME_Parser::~TAO_CORBANAME_Parser | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

int TAO_CORBANAME_Parser::match_prefix | ( | const char * | ior_string | ) | const`[virtual]`

| Return 1 if <ior_string> starts with a prefix known to this IOR parser. Reimplemented from TAO_IOR_Parser.

CORBA::Object_ptr TAO_CORBANAME_Parser::parse_string | ( | const char * | ior,
|  | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Parse the <ior> argument and return an object reference. The call may raise the standard system exceptions (NO_MEMORY, INV_OBJREF, etc.) Reimplemented from TAO_IOR_Parser.

CORBA::Object_ptr TAO_CORBANAME_Parser::parse_string_dynamic_request_helper | ( | CORBA::Object_ptr | naming_context,
|  | ACE_CString &key_string | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[private, virtual]`

The documentation for this class was generated from the following files:

- CORBANAME_Parser.h
- CORBANAME_Parser.cpp
- CORBANAME_Parser.i